//
//  QHVCStatistics_entryS.h
//  QHVCCommonKit
//
//  Created by niezhiqiang on 2019/7/17.
//  Copyright © 2019 qihoo.QHVCCommonKit. All rights reserved.
//

#ifndef QHVCStatistics_entryS_h
#define QHVCStatistics_entryS_h

#ifdef __cplusplus
extern "C" {
#endif
    
/**
 * 连麦feedback结果回调函数原型
 * @param result feedback结果 0表示成功 否则为错误码
 * @param ctx 上下文
 */
typedef void (*rtc_notify_cb)(int result, void *ctx);

typedef enum
{
    QHVCST_FORM_UPLOAD = 1, ///< 表单上传
    QHVCST_SLICE_REQUEST, ///< 分片Request
    QHVCST_BLOCK_UPLOAD, ///< block上传
    QHVCST_MEMORY_UPLOAD, ///< 内存上传
    QHVCST_COMMIT, ///< commit
    QHVCST_FINISH, ///< finish
    QHVCST_CANCEL, ///< 取消上传
    QHVCST_SPEED_TEST ///<
} QHVCStageType;

typedef struct
{
    const char *uri; ///< 目标URI
    const char *dip; ///< 目标机器IP
    unsigned int conTime; ///< 连接时间
    unsigned int respTime; ///< 响应时间
    unsigned int avgSpeed; ///< 平均速度
    unsigned long long totalBytes; ///< 字节数
    int errCode; ///< 错误码
    int blockID; ///< block编号
    unsigned int retryCnt; ///< 重试次数
} QHVCUploadDataInfo;

typedef struct
{
    bool m_dnsCacheEnable;
    unsigned int m_dnsCacheSeconds;
    unsigned int m_time_adjust_threshold;
    unsigned short m_enable;
} QHVCCloudControlTrans;
    
#ifdef __cplusplus
}
#endif

#endif /* QHVCStatistics_entryS_h */
